Subject: Re: bug#78304: 31.0.50; Support --early-eval on the command line

From: Eli Zaretskii <[email-masked]>
Date: Fri, 16 May 2025 20:57:18 +0300

> From: Lynn Winebarger <[email-masked]>
> Date: Fri, 16 May 2025 11:14:49 -0400
> Cc: [email-masked], [email-masked]
> 
> On Fri, May 16, 2025 at 3:11 AM Eli Zaretskii <[email-masked]> wrote:
> >>    It is not advisable to put anything in ‘site-load.el’ or
> >> ‘site-init.el’ that would alter any of the features that users expect in
> >> an ordinary unmodified Emacs.  If you feel you must override normal
> >> features for your site, do it with ‘default.el’, so that users can
> >> override your changes if they wish.  [...]
> 
> What Spencer is describing is a use-case where users get a custom
> presentation of emacs that would indeed "alter any of the features
> that users expect in an ordinary unmodified Emacs".  That's why he
> wants to use "-q", because the customizations of an ordinary emacs
> session are not suited to the purpose of the particular presentation.

That is easy to accomplish by other means (assuming that it's the
reason, which I'm not sure, because Spencer himself didn't say so).

> The most (probably only) foolproof way of doing that is writing a
> custom startup and maybe even the top-level, depending on just how
> reduced the functionality is supposed to be.

I'm quite sure there are easier ways of accomplishing the same goal.